SDB:KDE 软件源

跳转至: 导航, 搜索
此页面列出和描述了可用的 KDE 软件源,并提供了链接。它们都是 openSUSE 官方的开发源,因此在推送到发行版前,官方不对其可用性做任何程度的保证。
注意 请勿混用不同 KDE 版本或不同类型 (Stable/Factory/Unstable) 的软件源。

背景知识

openSUSE 把 KDE 软件源分离为三组软件包,它们是:

  • KDE Framework/Plasma 基础软件组。该组收纳了 Framework 函数库,及 Plasma Workspace。
  • KDE 软件集合的软件包。该组收纳了 KDE下的诸多应用,比如 KMail、Konqueror 等应用程序。
  • 基于 KDE/Qt 的应用程序的软件包。该组收纳了基于 KDE 或 Qt 函数库的应用程序,诸如 Amarok、Konversation、Quassel 等。

维护更新

从 openSUSE 12.3 起,openSUSE KDE 社区团队开始通过维护更新为最新稳定版本的 openSUSE 发行版提供 KDE 软件集合的小版本号更新。这意味着您无须添加额外软件源即可获得 KDE 软件集合的小版本号更新。这已通过我们设置 KDE 软件源的方式反映出来。

目前我们有以下维护通道:

openSUSE 12.3: 带有 KDE SC 4.10 和维护更新,目前已到 KDE SC 4.10.5。

openSUSE 13.1: 带有 KDE SC 4.11.2 和维护更新,目前已到 KDE SC 4.11.5。

openSUSE 13.2: 将带有 KDE SC 4.13.x,并将通过正常维护渠道提供维护更新。

openSUSE Leap 42.1: 带有 KDE 5.4.2, Applications 15.08 (with a couple of exceptions) 以及 KDE Frameworks 5.15.

都有什么?

基于上述说明,openSUSE 用户有以下软件源可用。

针对用户

  • 最新版本的 KDE Frameworks 5 和 Plasma
    该源中 KDE 发行的版本更高的 Framework 库文件 以及 Plasma Desktop , openSUSE 的专有补丁(发布的和未发布的)。该源面向最新版本 openSUSE 以及 Tumbleweed ,同时也为早期 openSUSE 版本提供了兼容源
  • 最新版本的 KDE Application
    该源中包含 KDE 社区发行的最新版 KDE Applications ,以及许多 openSUSE 的专有补丁。 该源面向最新版本 openSUSE 以及 Tumbleweed ,同时也为早期 openSUSE 版本提供了兼容源
  • KDE Extra
    来自 openSUSE Factory 的独立 KDE 应用程序的升级版本,包含一些基于 KDE/Qt 但并不是 Frameworks, Plasma, 或者 Application 的组成部分的程序。该源也为已发布的 openSUSE 版本提供了软件包。您无需同时更新您的 KDE,但是建议您更新,因为 KDE 是向下兼容的。该源由广大的 openSUSE 社区人员维护。
  • Live Media
    The openSUSE KDE Community team prepares a weekly update of the new developments, by providing a live Media (which also can be installed) based on the KDE Unstable repositories. openSUSE Argon is based on top of openSUSE Leap and openSUSE Krypton is based on top of Tumbleweed. These live Medias would allow you to see what the future release of Frameworks, Plasma and Applications will look like. Be aware that these live Medias could be rough around the edges and will only contain partial translations. Bug reports for these medias are only accepted in case a user believes software is missing or that the media does not work.

针对贡献者

  • KDE Unstable Repositories
    Packages based on git snapshots of the above mentioned packages/releases. These are only built for the latest openSUSE release and Tumbleweed due to possible dependencies on newer packages.

我想要...


仅升级应用程序

如果您正在使用我们发行版提供的官方的、支持的和经过测试的核心 KDE 软件包,您可以考虑这些额外的软件源。

Factory/Tumbleweed 并不需要使用它(但是如果您执意使用的话,也不无不可) ,因为该源中的软件在社区人员获取到更新的第一时间就被加入到了 Tumbleweed 源中, 并且通常在数天内就会被加入Tumbleweed 标准源里。 This repository also serves as a development project for openSUSE:Factory.

注意 这些软件包大多是基于 KDE Frameworks 5 的,基于 KDE Frameworks 5 的这些新版本应用会将他们的 4.x 版本旧程序覆盖掉(也就是多数时刻下两者不能同时存在)



当前 KDE 软件集合版本

KDE 软件集合的当前版本。若您想要使用当前(最新)版本的 KDE 软件集合请使用此软件源。请注意,自从 4.11 版本开始,Plasma 桌面不再是 KDE 发布的一部分,该桌面现在处于长期支持状态。因此当前的 KDE 软件集合版本仅包含了更新的应用程序(KDE 函数库自从 4.9 起就进入了冻结期,发布时即使有也只是增加一下版本号方便打包而已)。

注意 若您准备使用 KDE:Current 请移除从仅更新应用程序章节添加的全部软件源。



Factory 即 KDF (最新 KDE 软件集合版本包括 Beta 和 RC)

这个软件源包含了为即将到来的 openSUSE 版本开发的 KDE 软件包。这个软件源正常情况下只会针对 openSUSE:Factory 编译,然后当准备新的 KDE 版本(和相关的 KR 软件源)时,它也会针对最新的 openSUSE 稳定版本编译。


如同上面解释的那样,以下软件源只有当决定构建新的 KDE SC Beta 版本时才会出现。



Unstable:SC 即 KUSC (KDE trunk)

注意 不能用于生产环境。未测试、实验性的、未发布的 KDE 版本。

KDE trunk 的快照。目标是提供一个每周快照版本,但这并不是每次都行。这些软件包有时或许无法整合 openSUSE 专有的补丁,也不能用于早期 openSUSE 版本。您必须添加核心软件包的源才能够使用 Extra 或 Unstable:Playground 源。

KDE trunk 的快照版本。定期更新上游有变动的软件包。这些软件包不一定总有 openSUSE 专有补丁,并仅可供 64 位的最新 openSUSE 稳定版和 Factory 使用。

我们的 KDE 社区团队也使用该软件源测试新补丁,新打包方法和其它可能导致 KDE 软件包依赖关系暂时性崩溃的东西。这个软件源应该只供那些可以理解并接受该软件源用途所带来的风险的有经验的用户使用。当然这个软件源也不接受故障报告。



KDE Frameworks 5

注意 KDE Frameworks 5 目前处于 beta 阶段,意味着只供勇敢的测试者和开发者使用。

KDE Frameworks 5 和 Qt 5.3 trunk 的快照版本。这些软件包可以与 KDE SC4 和 Qt 4 一起安装。要向您的会话管理器中添加会话,请安装 plasma-next-session 软件包。

若 plasma-next 打不开并给出以下错误,"Could not start D-Bus. Can you Call qdbus? Error please help",则请尝试 zypper dup Qt5.3 软件源。



KDE 3.5.10

这是为已发布的 openSUSE 版本打包的最新 KDE 3 版本。解释和软件源请见该独立页面


Qt

注意 若您正在使用上面列举的 KDE 软件源,您不用添加以下这些。那些软件源已囊括了正确的 Qt 软件包。

Qt 4 正式版

Qt 4.x.x 版本,目前被认为是相对较新且最稳定的版本。若您使用 KDE:Distro:Factory 或 KDE:Distro:Stable 则无需添加。


Qt 4.8 开发快照

仅供开发者使用。


Qt 4.7 开发快照

仅供开发者使用。


Qt 5 正式版

最新稳定版的 Qt5 版本 (目前是 5.2.1)


Qt 5.2.x 正式版

仅供开发者使用 这是来自 gitorious 稳定分支的快照


Qt 5.3 开发分支

仅供开发者使用 这是来自 gitorious dev 分支的快照


Qt 5.4 开发分支

仅供开发者使用 这是来自 Qt git repository dev分支的快照


Qt 5.5 开发分支

仅供开发者使用 这是来自 Qt git repository dev分支的快照



使用 Qt 或 KDE 编译您自己的软件

要基于 KDE 4.x 或 Qt 4.x 编译您自己的软件包,请在以下软件源中择一作为编译基础(当添加软件源时,点击底部的高级并在条目列表中选择软件源名称):

  • KDE:Qt 当您想要针对稳定版本的 Qt 4.x 编译一个 Qt 应用程序时使用。源中当前的版本是 Qt 4.8.x。
  • KDE:Distro:Factory 当您想要基于 KDE 4.1x.x 为任何 openSUSE 版本编译一个 KDE 4.x 应用程序时使用。

继续阅读